# ActiveReports JS Viewer

The ActiveReports JS Viewer is a powerful JavaScript-based component
that enables seamless integration of ActiveReports into web
applications. This viewer provides a user-friendly interface to display,
interact with, and share ActiveReports documents within a browser
environment.

## Features

-   **Responsive Design**: The viewer's responsive design ensures optimal display across various devices, allowing users to access and view reports on desktops, tablets, and mobile devices.
-   **Interactive Reporting**: Users can interact with reports using features such as drill-through, sorting, filtering, parameter input, and more, enabling dynamic exploration and analysis of data.
-   **Export Options**: Export reports to popular file formats, including PDF, Excel, Word, CSV, and more, empowering users to save, print, or share reports effortlessly.
-   **Report Navigation**: Navigate through large reports efficiently with features like page navigation, table of contents, bookmarks, and search functionality, facilitating quick access to the desired information.
-   **Localization**: Customize the viewer\'s interface language to cater to a global audience. The viewer supports localization, providing a localized experience for users in different regions.

## Implementation

* [Server-Side configuration](https://developer.mescius.com/activereportsnet/docs/latest/online/jsvieweraspnet-middleware.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)
* Integration:
  * [ASP.NET MVC Core](https://developer.mescius.com/activereportsnet/docs/latest/online/aspnet-mvc-core-integration.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)
  * [Angular](https://developer.mescius.com/activereportsnet/docs/latest/online/integration-to-angular.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)
  * [React](https://developer.mescius.com/activereportsnet/docs/latest/online/integration-to-react.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)
  * [Vue](https://developer.mescius.com/activereportsnet/docs/latest/online/integration-to-vuejs.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)
* [JS Viewer API](https://developer.mescius.com/activereportsnet/docs/latest/online/jsviewer-api.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer)

## Resources

-   [Documentation](https://developer.mescius.com/activereportsnet/docs/latest/online/web-designer-application.html?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer): Access the official documentation for the ActiveReports JSViewer, which provides comprehensive information about installation, usage, customization, and more.
-   [Demos](https://developer.mescius.com/activereportsnet/demos/?utm_source=NPM&utm_medium=AR&utm_campaign=ARNET-JSViewer): Try our interactive demos to experience ActiveReports in action to see and use our features and controls firsthand.

## Stay Connected

Stay up-to-date with the latest news, updates, and announcements
regarding ActiveReports by following us on social media:

-   [Twitter](https://twitter.com/MESCIUS_inc/)
-   [LinkedIn](https://www.linkedin.com/company/mesciusinc)
-   [Facebook](https://www.facebook.com/MESCIUSinc)